summaryrefslogtreecommitdiff
path: root/.pik
diff options
context:
space:
mode:
Diffstat (limited to '.pik')
-rw-r--r--.pik/install.sh2
-rw-r--r--.pik/man.sh6
2 files changed, 8 insertions, 0 deletions
diff --git a/.pik/install.sh b/.pik/install.sh
index 0b23681..82efd4a 100644
--- a/.pik/install.sh
+++ b/.pik/install.sh
@@ -17,4 +17,6 @@ if [[ $PATH != *"$DEST_FOLDER"* ]] ; then
exit 1
fi
+bash .pik/man.sh
+
echo "congratulations! You are now using pik $(pik --version)" \ No newline at end of file
diff --git a/.pik/man.sh b/.pik/man.sh
new file mode 100644
index 0000000..2066c5c
--- /dev/null
+++ b/.pik/man.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -euo pipefail
+MANDIR="$HOME/.local/share/man/man1"
+mkdir -p "$MANDIR"
+go run ./man
+cp out/* "$MANDIR" \ No newline at end of file